Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SAttribute

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, ITyped, IValue, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  SAttributeArray, SState

All Known Implementing Classes:
  SAttributeArrayImpl, SAttributeImpl, SStateImpl

    public interface SAttribute

extends SNamed, IValue, ITyped

Method Summary
`boolean` | `accepts(IValue value)`
`java.lang.String` | `getDefaultValue()` Returns the value of the 'Default Value' attribute.
`SAttributed` | `getOwner()` Returns the value of the 'Owner' container reference.
`java.lang.String` | `getUnits()` Returns the value of the 'Units' attribute.
`boolean` | `isGatherData()` Returns the value of the 'Gather Data' attribute.
`boolean` | `isImmutable()` Returns the value of the 'Immutable' attribute.
`void` | `setDefaultValue(java.lang.String value)` Sets the value of the '`Default Value`' attribute.
`void` | `setGatherData(boolean value)` Sets the value of the '`Gather Data`' attribute.
`void` | `setImmutable(boolean value)` Sets the value of the '`Immutable`' attribute.
`void` | `setOwner(SAttributed value)` Sets the value of the '`Owner`' container reference.
`void` | `setUnits(java.lang.String value)` Sets the value of the '`Units`' attribute.

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IValue
`getAccessors, getAvailableTypes, references`

Methods inherited from interface org.metaabm.ITyped
`getSType, setSType`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwner

    SAttributed getOwner()

  Returns the value of the 'Owner' container reference. It is bidirectional and its opposite is ' `Attributes`'.

  If the meaning of the 'Owner' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `setOwner(SAttributed)`, `MetaABMPackage.getSAttribute_Owner()`, `SAttributed.getAttributes()`

### setOwner

    void setOwner(SAttributed value)

  Sets the value of the '`Owner`' container reference.

  Parameters:
    `value` - the new value of the 'Owner' container reference.
  See Also:
    `getOwner()`

### isGatherData

    boolean isGatherData()

  Returns the value of the 'Gather Data' attribute.

  If the meaning of the 'Gather Data' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Gather Data' attribute.
  See Also:
    `setGatherData(boolean)`, `MetaABMPackage.getSAttribute_GatherData()`

### setGatherData

    void setGatherData(boolean value)

  Sets the value of the '`Gather Data`' attribute.

  Parameters:
    `value` - the new value of the 'Gather Data' attribute.
  See Also:
    `isGatherData()`

### getDefaultValue

    java.lang.String getDefaultValue()

  Returns the value of the 'Default Value' attribute.

  If the meaning of the 'Default Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' attribute.
  See Also:
    `setDefaultValue(String)`, `MetaABMPackage.getSAttribute_DefaultValue()`

### setDefaultValue

    void setDefaultValue(java.lang.String value)

  Sets the value of the '`Default Value`' attribute.

  Parameters:
    `value` - the new value of the 'Default Value' attribute.
  See Also:
    `getDefaultValue()`

### getUnits

    java.lang.String getUnits()

  Returns the value of the 'Units' attribute.

  If the meaning of the 'Units' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Units' attribute.
  See Also:
    `setUnits(String)`, `MetaABMPackage.getSAttribute_Units()`

### setUnits

    void setUnits(java.lang.String value)

  Sets the value of the '`Units`' attribute.

  Parameters:
    `value` - the new value of the 'Units' attribute.
  See Also:
    `getUnits()`

### isImmutable

    boolean isImmutable()

  Returns the value of the 'Immutable' attribute. The default value is `"false"`.

  If the meaning of the 'Immutable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Immutable' attribute.
  See Also:
    `setImmutable(boolean)`, `MetaABMPackage.getSAttribute_Immutable()`

### setImmutable

    void setImmutable(boolean value)

  Sets the value of the '`Immutable`' attribute.

  Parameters:
    `value` - the new value of the 'Immutable' attribute.
  See Also:
    `isImmutable()`

### accepts

    boolean accepts(IValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD